<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Mfu Library Q&A</title>

  <link rel="stylesheet" href="question-details.component.scss">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>

  <header>
    <nav>
      <div class="container">
        <div class="nav-grid">
        <div class="logo">
          <img alt="MFU LIBRARY LOGO" src="/assets/picproject/Logo.png">
        </div>
        <div class="fr">
          <ul class="menu">
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/user']">Q&A Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/home']">Admin Home</a></li>
            <li><i class="fa fa-fw fa-home"></i><a [routerLink]="['/admin/webboard']">Webboard</a></li>
            <li><i class="fa fa-users"></i><a [routerLink]="['/admin/user']">Admin list</a></li>
            <li><i class="fas fa-sign-out-alt"></i><a (click)="logout()">Logout</a></li>
          </ul>
        </div>
        </div>
      </div>
    </nav>
  </header>

  <section class="content">
    <div class="container">
      <div class="content-heading">
        <h1>Details</h1>
      </div>

      <div class="content-services">
        <div class="content-services-item">

          <div class="content-services-icon">
            <a [routerLink]="['/admin/home']"><i class="far fa-arrow-alt-circle-left"></i></a>
            <a [routerLink]="['/admin/question/edit/', _id]"><i class="far fa-edit"></i></a>
            <a (click)="deleteQuestion(_id)"><i class="far fa-trash-alt"></i></a>
          </div>

          <div class="content-services-details">
            <div class="content-services-topic">
              <h2>Topic</h2>
              <p>{{questionForm.topic}}</p>
            </div>
  
            <div class="content-services-question">
              <h2>Question</h2>
              <p [innerHTML] = "questionForm.question"></p>
            </div>
  
            <div class="content-services-answer">
              <h2>Answer</h2>
              <p [innerHTML] = "questionForm.answer"></p>
            </div>
  
            <div class="content-services-public">
              <h2>Public</h2>
              <p>{{questionForm.isPublic}}</p>
            </div>
            
            <div class="content-services-addDate">
              <h2>Add Date</h2>
              <p>{{questionForm.addDate}}</p>
            </div>
  
            <div class="content-services-updateDate">
              <h2>Update Date</h2>
              <p>{{questionForm.updateDate}}</p>
            </div>
  
            <div class="content-services-lastUpdater">
              <h2>Last Updater</h2>
              <p>{{questionForm.lastUpdater}}</p>
            </div>
          </div>

        </div>
      </div>

    </div>
  </section>

</body>


  
  
    
    
    
    
    
    
    
    
    
    
    
    
    
         
    
    
    